Skip to main content
POST
/
api
/
v1
/
admin
/
teams
/
{team_id}
/
hubs
/
{hub_id}
/
spaces
Admin Create Space
curl --request POST \
  --url https://api.member.dev/api/v1/admin/teams/{team_id}/hubs/{hub_id}/spaces/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/vnd.api+json' \
  --data '
{
  "data": {
    "attributes": {
      "access_level": "<string>",
      "color": "<string>",
      "description": "<string>",
      "icon": "<string>",
      "is_default": true,
      "is_pinned": true,
      "name": "<string>",
      "position": 123,
      "posting_permission": "<string>",
      "segment_id": "<string>",
      "slug": "<string>"
    },
    "type": "<string>"
  }
}
'
{
  "data": {
    "attributes": {
      "access_level": "<string>",
      "color": "<string>",
      "created_at": "<string>",
      "deleted_at": "<string>",
      "description": "<string>",
      "icon": "<string>",
      "is_default": true,
      "is_pinned": true,
      "name": "<string>",
      "position": 123,
      "posting_permission": "<string>",
      "segment_id": "<string>",
      "slug": "<string>",
      "unread_count": 123,
      "updated_at": "<string>"
    },
    "id": "<string>",
    "type": "<string>",
    "links": {
      "self": "<string>"
    },
    "meta": {},
    "relationships": {}
  },
  "included": [
    "<unknown>"
  ],
  "links": {
    "self": "<string>"
  },
  "meta": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

team_id
string
required
hub_id
string
required

Body

application/vnd.api+json

JSON:API create envelope: {data: {type, attributes}}.

data
SpaceResourceData · object
required

Response

Successful Response

data
JsonApiResource[SpaceResponseAttributes] · object
required
included
any[] | null
meta
Meta · object